## org.jfree.report.util.beans
Class BeanException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.pentaho.reporting.libraries.base.util.StackableException
                  org.jfree.report.util.beans.BeanException

All Implemented Interfaces:
  java.io.Serializable

    public class BeanException

extends org.pentaho.reporting.libraries.base.util.StackableException

The BeanException class signals errors when setting or reading bean properties.

Author:
  Thomas Morgner
See Also:
  Serialized Form

Constructor Summary
`BeanException()` DefaultConstructor.
`BeanException(java.lang.String message)` Creates a new BeanException with the given message.
`BeanException(java.lang.String message, java.lang.Exception ex)` Creates a new BeanException with the given message and parent exception.

Method Summary

Methods inherited from class org.pentaho.reporting.libraries.base.util.StackableException
`getMessage, getParent, getParentThrowable, printStackTrace, printStackTrace, printStackTrace, toString, update`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BeanException

    public BeanException()

  DefaultConstructor.

### BeanException

    public BeanException(java.lang.String message,
                         java.lang.Exception ex)

  Creates a new BeanException with the given message and parent exception.

  Parameters:
    `message` - the message text
    `ex` - the parent exception

### BeanException

    public BeanException(java.lang.String message)

  Creates a new BeanException with the given message.

  Parameters:
    `message` - the message.